## kdevelop-php 5.3.2

=== debian/changelog ===
kdevelop-php (5.3.2-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.3.2).

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 10 Mar 2019 21:01:04 +0000
