## kdevelop-php 5.3.3

=== debian/changelog ===
kdevelop-php (5.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.3.3, as indicated by the
    upstream build system.
  * Switch from --list-missing to --fail-missing for dh_missing; everything is
    installed already.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jul 2019 07:05:43 +0200

kdevelop-php (5.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.3.2, as indicated by the
    upstream build system.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Drop the migration from kdevelop-php-dbg, no more needed after two Debian
    stable releases.

 -- Pino Toscano <pino@debian.org>  Tue, 09 Jul 2019 08:13:35 +0200
