=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
                libkf5kcmutils-dev (>= 5.15.0),
                libkf5texteditor-dev (>= 5.15.0),
                libkf5threadweaver-dev (>= 5.15.0),
-               kdevelop-dev (>= 4:5.3.2),
+               kdevelop-dev (>= 4:5.3.3),
                kdevelop-pg-qt (>= 2.0),
                pkg-kde-tools (>= 0.15.16),
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php.git
