## kdevelop-php 5.4.2

=== debian/changelog ===
kdevelop-php (5.4.2-1ubuntu1) eoan; urgency=medium

  * Merge Debian changes. Remaining changes:
  - Handle move of Qt logging categories files install location when building
    with Frameworks >= 5.59.0
    + Update install files, relocating files from /etc/xdg/ to
      /usr/share/qlogging-categories5/
    + Add maintscript to remove obsolete versions in /etc/xdg/

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 15 Sep 2019 08:09:30 +0100

kdevelop-php (5.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.2, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Sep 2019 20:15:58 +0200

kdevelop-php (5.4.2-0ubuntu1) eoan; urgency=medium

  * New upstream bugfix release (5.4.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 12:33:37 +0100

kdevelop-php (5.4.1-1ubuntu1) eoan; urgency=medium

  * Merge Debian changes. Remaining changes:
  - Handle move of Qt logging categories files install location when building
    with Frameworks >= 5.59.0
    + Update install files, relocating files from /etc/xdg/ to
      /usr/share/qlogging-categories5/
    + Add maintscript to remove obsolete versions in /etc/xdg/

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 17 Aug 2019 11:33:46 +0100

kdevelop-php (5.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.1, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Aug 2019 18:10:59 +0200

kdevelop-php (5.4.0-1ubuntu1) eoan; urgency=medium

  * Merge Debian changes. Remaining changes:
  - Handle move of Qt logging categories files install location when building
    with Frameworks >= 5.59.0
    + Update install files, relocating files from /etc/xdg/ to
      /usr/share/qlogging-categories5/
    + Add maintscript to remove obsolete versions in /etc/xdg/

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 13 Aug 2019 10:02:16 +0100

kdevelop-php (5.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to >= 5.7.0
    - bump the KF packages to >= 5.28.0
    - bump kdevelop-dev to >= 5.4.0
    - explicitly add gettext
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Aug 2019 10:08:58 +0200

kdevelop-php (5.3.3-1ubuntu1) eoan; urgency=medium

  * Handle move of Qt logging categories files install location when building
    with Frameworks >= 5.59.0
    - Update install files, relocating files from /etc/xdg/ to
      /usr/share/qlogging-categories5/
    - Add maintscript to remove obsolete versions in /etc/xdg/

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Jul 2019 15:11:04 +0100
