=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
            Andreas Cord-Landwehr <cola@uni-paderborn.de>,
 Build-Depends: cmake (>= 3.0),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.15.0),
-               qtbase5-dev (>= 5.5.0),
-               libkf5archive-dev (>= 5.15.0),
-               libkf5i18n-dev (>= 5.15.0),
-               libkf5itemmodels-dev (>= 5.15.0),
-               libkf5kcmutils-dev (>= 5.15.0),
-               libkf5texteditor-dev (>= 5.15.0),
-               libkf5threadweaver-dev (>= 5.15.0),
-               kdevelop-dev (>= 4:5.3.3),
+               extra-cmake-modules (>= 5.28.0),
+               gettext,
+               qtbase5-dev (>= 5.7.0),
+               libkf5archive-dev (>= 5.28.0),
+               libkf5i18n-dev (>= 5.28.0),
+               libkf5itemmodels-dev (>= 5.28.0),
+               libkf5kcmutils-dev (>= 5.28.0),
+               libkf5texteditor-dev (>= 5.28.0),
+               libkf5threadweaver-dev (>= 5.28.0),
+               kdevelop-dev (>= 4:5.4.2),
                kdevelop-pg-qt (>= 2.0),
                pkg-kde-tools (>= 0.15.16),
 Standards-Version: 4.4.0
