=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders: Modestas Vainius <modax@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>,
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 11~),
-               extra-cmake-modules (>= 5.28.0),
+               debhelper-compat (= 12),
+               dh-exec,
+               extra-cmake-modules (>= 5.59~),
                gettext,
                qtbase5-dev (>= 5.7.0),
                libkf5archive-dev (>= 5.28.0),
@@ -15,10 +16,10 @@
                libkf5kcmutils-dev (>= 5.28.0),
                libkf5texteditor-dev (>= 5.28.0),
                libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.4.2),
+               kdevelop-dev (>= 4:5.5.0),
                kdevelop-pg-qt (>= 2.0),
                pkg-kde-tools (>= 0.15.16),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php.git
@@ -40,8 +41,6 @@
 Section: localization
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kdevelop-php-docs-l10n (<< 5.0),
-Replaces: kdevelop-php-docs-l10n (<< 5.0),
 Description: localization files for KDevelop PHP plugin
  The KDevelop-PHP plugin is the language plugin for the PHP language
  for the KDevelop integrated development environment for KDE.
