=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 #export DH_VERBOSE=1
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+
+# from kdevelop
+export KDEV_PLUGIN_VERSION=33
 
 %:
 	dh $@ --with kf5
