=== debian/control ===
--- 
+++ 
@@ -16,10 +16,11 @@
                libkf5kcmutils-dev (>= 5.28.0),
                libkf5texteditor-dev (>= 5.28.0),
                libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.5.0),
+               kdevelop-dev (>= 4:5.5.2),
                kdevelop-pg-qt (>= 2.0),
                pkg-kde-tools (>= 0.15.16),
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php.git
