=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Modestas Vainius <modax@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>,
 Build-Depends: cmake (>= 3.0),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-exec,
                extra-cmake-modules (>= 5.59~),
                gettext,
@@ -16,10 +16,10 @@
                libkf5kcmutils-dev (>= 5.28.0),
                libkf5texteditor-dev (>= 5.28.0),
                libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.5.2),
+               kdevelop-dev (>= 4:5.6.2),
                kdevelop-pg-qt (>= 2.0),
                pkg-kde-tools (>= 0.15.16),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php
