=== debian/watch ===
version=4
https://download.kde.org/stable/kdevelop/([\d.]+)/src/kdev-php-([\d.]+)\.tar\.xz
