=== parser/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,8 @@
     HEADER parserdebug.h
     IDENTIFIER PARSER
     CATEGORY_NAME "kdevelop.plugins.php.parser"
+    DESCRIPTION "KDevelop plugin: PHP language support - parser"
+    EXPORT KDEVPHP
 )
 
 add_library(kdevphpparser SHARED ${parser_SRCS} ${parser_STAT_SRCS})
