=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: kdevelop-php
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>,
 Build-Depends: cmake (>= 3.0),
                debhelper-compat (= 13),
-               dh-exec,
                extra-cmake-modules (>= 5.59~),
                gettext,
-               qtbase5-dev (>= 5.7.0),
+               kdevelop-dev (>= 4:21.12.3~),
+               kdevelop-pg-qt (>= 2.0),
                libkf5archive-dev (>= 5.28.0),
                libkf5i18n-dev (>= 5.28.0),
                libkf5itemmodels-dev (>= 5.28.0),
                libkf5kcmutils-dev (>= 5.28.0),
                libkf5texteditor-dev (>= 5.28.0),
                libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.6.2),
-               kdevelop-pg-qt (>= 2.0),
                pkg-kde-tools (>= 0.15.16),
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.7.0),
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
 
 Package: kdevelop-php
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: kdevelop
 Suggests: kdevelop-php-l10n
