=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 # from kdevelop
-export KDEV_PLUGIN_VERSION=34
+export KDEV_PLUGIN_VERSION=35
 
 %:
 	dh $@ --with kf5
