=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
-
 # from kdevelop
-export KDEV_PLUGIN_VERSION=35
+export KDEV_PLUGIN_VERSION=36
 
 %:
-	dh $@ --with kf5
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF
