## kdevelop-php 22.08.1

=== debian/changelog ===
kdevelop-php (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:39:18 +0100

kdevelop-php (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Bump KDEV_PLUGIN_VERSION to 37, according to upstream.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 11:18:23 +0100

kdevelop-php (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:26:45 +0100

kdevelop-php (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:00:47 +0100

kdevelop-php (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:58:33 +0100

kdevelop-php (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Bump KDEV_PLUGIN_VERSION to 36, according to upstream.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:47:19 +0100
