=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+
 # from kdevelop
-export KDEV_PLUGIN_VERSION=36
+export KDEV_PLUGIN_VERSION=37
 
 %:
-	dh $@
+	dh $@ --with kf5
 
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF
