=== debian/control ===
--- 
+++ 
@@ -3,23 +3,22 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Modestas Vainius <modax@debian.org>,
-           Andreas Cord-Landwehr <cola@uni-paderborn.de>,
-Build-Depends: cmake (>= 3.0),
+Uploaders: Pino Toscano <pino@debian.org>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.59~),
+               dh-sequence-kf5,
+               extra-cmake-modules (>= 5.78.0~),
                gettext,
-               kdevelop-dev (>= 4:22.08.1~),
+               kdevelop-dev (>= 4:22.12.1~),
                kdevelop-pg-qt (>= 2.0),
-               libkf5archive-dev (>= 5.28.0),
-               libkf5i18n-dev (>= 5.28.0),
-               libkf5itemmodels-dev (>= 5.28.0),
-               libkf5kcmutils-dev (>= 5.28.0),
-               libkf5texteditor-dev (>= 5.28.0),
-               libkf5threadweaver-dev (>= 5.28.0),
-               pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.7.0),
-Standards-Version: 4.6.0
+               libkf5archive-dev (>= 5.78.0~),
+               libkf5i18n-dev (>= 5.78.0~),
+               libkf5itemmodels-dev (>= 5.78.0~),
+               libkf5kcmutils-dev (>= 5.78.0~),
+               libkf5texteditor-dev (>= 5.78.0~),
+               libkf5threadweaver-dev (>= 5.78.0~),
+               qtbase5-dev (>= 5.15.0~),
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
