=== debian/changelog ===
kdevelop-php (22.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 22.12.2, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 12:54:57 +0100
