=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: kdevelop-php
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.78.0~),
                gettext,
-               kdevelop-dev (>= 4:22.12.1~),
-               kdevelop-pg-qt (>= 2.0),
+               qtbase5-dev (>= 5.15.0~),
                libkf5archive-dev (>= 5.78.0~),
                libkf5i18n-dev (>= 5.78.0~),
                libkf5itemmodels-dev (>= 5.78.0~),
                libkf5kcmutils-dev (>= 5.78.0~),
                libkf5texteditor-dev (>= 5.78.0~),
                libkf5threadweaver-dev (>= 5.78.0~),
-               qtbase5-dev (>= 5.15.0~),
+               kdevelop-dev (>= 4:22.12.2~),
+               kdevelop-pg-qt (>= 2.0),
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop-php
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdevelop-php.git
 
 Package: kdevelop-php
 Architecture: any
